##############################################################################
# (c) Copyright 2020-2021 CERN for the benefit of the LHCb Collaboration      #
#                                                                             #
# This software is distributed under the terms of the GNU General Public      #
# Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   #
#                                                                             #
# In applying this licence, CERN does not waive the privileges and immunities #
# granted to it by virtue of its status as an Intergovernmental Organization  #
# or submit itself to any jurisdiction.                                       #
###############################################################################
"""
Example of a DaVinci job printing run and event numbers on every read event.
"""

__author__ = "Eduardo Rodrigues"
__date__ = "2021-02-25"

from PyConf.application import configure, configure_input
from PyConf.application import default_raw_event, make_odin
from PyConf.control_flow import CompositeNode
from PyConf.Algorithms import PrintHeader
from DaVinci import options

options.set_input_and_conds_from_testfiledb('Upgrade_Bd2KstarMuMu')
options.evt_max = 7
options.input_raw_format = 4.3

with default_raw_event.bind(raw_event_format=options.input_raw_format):
    ph = PrintHeader(ODINLocation=make_odin())

node = CompositeNode("PHNode", children=[ph])

config = configure_input(options)
config.update(configure(options, node))
