###############################################################################
# (c) Copyright 2021-2022 CERN for the benefit of the LHCb Collaboration      #
#                                                                             #
# This software is distributed under the terms of the GNU General Public      #
# Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   #
#                                                                             #
# In applying this licence, CERN does not waive the privileges and immunities #
# granted to it by virtue of its status as an Intergovernmental Organization  #
# or submit itself to any jurisdiction.                                       #
###############################################################################
"""
Option file used in the qmtest for running DaVinci with the usual gaudirun.py way:
    $ ./run gaudirun.py ../options/option_davinci_gaudirun_job.py
"""

__author__ = "Davide Fazzini"
__date__ = "2021-12-03"

from Gaudi.Configuration import ERROR
from PyConf.Algorithms import Gaudi__Examples__VoidConsumer as VoidConsumer
from DaVinci import options


def main():
    algs = [VoidConsumer(OutputLevel=ERROR)]
    return algs, []


options.evt_max = 10
options.ntuple_file = 'DV-example-ntp.root'
options.histo_file = 'DV-example-his.root'
options.input_raw_format = 0.3
options.enable_unpack = False
options.user_algorithms = "../options/option_davinci_gaudirun_job:main"
options.write_fsr = False

from DaVinci.Configuration import run_davinci_app
fileDB_key = "Upgrade_Bd2KstarMuMu_ldst"
fileDB_path = "$DAVINCIROOT/options/DaVinciDB-Example.yaml"
run_davinci_app(fileDB_key, fileDB_path)
