###############################################################################
# (c) Copyright 2020-2022 CERN for the benefit of the LHCb Collaboration      #
#                                                                             #
# This software is distributed under the terms of the GNU General Public      #
# Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   #
#                                                                             #
# In applying this licence, CERN does not waive the privileges and immunities #
# granted to it by virtue of its status as an Intergovernmental Organization  #
# or submit itself to any jurisdiction.                                       #
###############################################################################
"""
Example of a DaVinci job printing run and event numbers on every read event.
"""

__author__ = "Davide Fazzini"
__date__ = "2021-03-31"

from Gaudi.Configuration import ERROR
from PyConf.Algorithms import Gaudi__Examples__VoidConsumer as VoidConsumer


def main():
    # the "upfront_reconstruction" is what unpacks reconstruction objects, particles and primary vertices
    # from file and creates protoparticles.
    tools = []
    algs = [VoidConsumer(OutputLevel=ERROR)]

    from DaVinci import options
    options.ntuple_file = "DVtest_useralgs_ntp.root"
    options.histo_file = "DVtest_useralgs_his.root"

    options.evt_max = 10
    options.enable_unpack = False

    return algs, tools
