#!/bin/bash
###############################################################################
# (c) Copyright 2021 CERN for the benefit of the LHCb Collaboration           #
#                                                                             #
# This software is distributed under the terms of the GNU General Public      #
# Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   #
#                                                                             #
# In applying this licence, CERN does not waive the privileges and immunities #
# granted to it by virtue of its status as an Intergovernmental Organization  #
# or submit itself to any jurisdiction.                                       #
###############################################################################

gaudirun.py -n $DAVINCITESTSROOT/tests/options/prod_conf/options_{job,reference}.py -o config_reference.opts

gaudirun.py -n $DAVINCITESTSROOT/tests/options/prod_conf/options_{job,prodconf}.py -o config_prodconf.opts

# Using the PyConf/script/diffopts.py for comparing the DaVinci configuration when running the job
# with or without the ProdConf-like interface
diffopts.py \
    -e 'MessageSvc,Format' -e 'FileCatalog,Catalogs' -e 'EventSelector,Input' \
    -e 'CopyInputStream,Output' -e 'CounterSummarySvc,.*' -e 'EventClockSvc,EventTimeDecoder' \
    -e 'ApplicationMgr,ExtSvc' \
    config_{reference,prodconf}.opts
