###############################################################################
# (c) Copyright 2021-2022 CERN for the benefit of the LHCb Collaboration      #
#                                                                             #
# This software is distributed under the terms of the GNU General Public      #
# Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   #
#                                                                             #
# In applying this licence, CERN does not waive the privileges and immunities #
# granted to it by virtue of its status as an Intergovernmental Organization  #
# or submit itself to any jurisdiction.                                       #
###############################################################################
"""
Example option file that can be passed to ProdConf for the configuration of the DaVinci options.
To be used along with Phys/DaVinci/options/prod_conf/options-ProdConf.py.

After having installed the ProdConf application locally the job can be launched using the following command:
   xenv --xml ProdConf/ProdConf.xenv ./run gaudirun.py Phys/DaVinci/options/prod_conf/options-DaVinciConf.py Phys/DaVinci/options/prod_conf/options-ProdConf.py
"""
from DaVinci import options

options.data_type = 'Upgrade'
options.enable_unpack = False
options.histo_file = 'DaVinci_histos.root'
options.input_raw_format = 0.3
options.input_type = 'ROOT'
options.lumi = False
options.ntuple_file = 'DaVinci_tuple.root'
options.print_freq = 1
options.simulation = True
options.user_algorithms = 'DaVinciExamples/python/DaVinciExamples/tupling/example-tupling-basic-run-mc:main'
