###############################################################################
# (c) Copyright 2021 CERN for the benefit of the LHCb Collaboration           #
#                                                                             #
# This software is distributed under the terms of the GNU General Public      #
# Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   #
#                                                                             #
# In applying this licence, CERN does not waive the privileges and immunities #
# granted to it by virtue of its status as an Intergovernmental Organization  #
# or submit itself to any jurisdiction.                                       #
###############################################################################
"""
Example option file that can be passed to ProdConf for the configuration of the DaVinci options.
To be used along with Phys/DaVinci/options/prod_conf/options-DaVinciConf.py.

After having installed the ProdConf application locally the job can be launched using the following command:
   xenv --xml ProdConf/ProdConf.xenv ./run gaudirun.py Phys/DaVinci/options/prod_conf/options-DaVinciConf.py Phys/DaVinci/options/prod_conf/options-ProdConf.py
"""
from ProdConf import ProdConf

ProdConf(
    Application='DaVinci',
    AppVersion='v39r1',
    CondDBTag="sim-20171127-vc-md100",
    DDDBTag="dddb-20171126",
    InputFiles=[
        'root://eoslhcb.cern.ch//eos/lhcb/grid/prod/lhcb/MC/Upgrade/LDST/00076720/0000/00076720_00000002_1.ldst'
    ],
    NOfEvents=10,
    OptionFormat='',
    OutputFilePrefix='00076720_00000002_1',
    OutputFileTypes=['root'],
    XMLFileCatalog="pool_xml_catalog.xml",
    XMLSummaryFile='DaVinci_summary.xml')
