###############################################################################
# (c) Copyright 2021 CERN for the benefit of the LHCb Collaboration           #
#                                                                             #
# This software is distributed under the terms of the GNU General Public      #
# Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   #
#                                                                             #
# In applying this licence, CERN does not waive the privileges and immunities #
# granted to it by virtue of its status as an Intergovernmental Organization  #
# or submit itself to any jurisdiction.                                       #
###############################################################################

from PyConf.application import ApplicationOptions
from DaVinci.options_default import __optsDict__ as optsDict


def define_app_option_defaults():
    """
    Define/digest the default values for the application options as described in YAML.
    """
    slots, doc = {}, {}

    for key, args in optsDict.items():
        for name, value in args.items():
            if name == 'value':
                slots[key] = value
            else:
                doc[key] = value

    return slots, doc


class DVAppOptions(ApplicationOptions):
    """
    Enhanced PyConf.application.ApplicationOptions class
    with slots defined via a .py file.
    """
    __slots__, _propertyDocDct = define_app_option_defaults()
