2021-04-21 DaVinci v53r0
===

This version uses
Analysis [v33r0](../../../../Analysis/-/tags/v33r0),
Phys [v32r0](../../../../Phys/-/tags/v32r0),
Rec [v32r0](../../../../Rec/-/tags/v32r0),
Lbcom [v32r0](../../../../Lbcom/-/tags/v32r0),
LHCb [v52r0](../../../../LHCb/-/tags/v52r0),
Gaudi [v35r2](../../../../Gaudi/-/tags/v35r2) and
LCG [97a](http://lcginfo.cern.ch/release/97a/) with ROOT 6.20.06.

This version is that to be used for the May hackathon. It contains the first release of the new, functional, tupling framework, aka the FunTuple tuple. 

Most other changes are bug fixes and cleanup of code no longer needed for Run3.

This version is released on `master` branch. 
Built relative to DaVinci [v52r0](../-/tags/v52r0), with the following changes:

### New features ~"new feature"

- ~Configuration | DaVinci job structure with PyConf, !516 (@mamartin) [#2]
- ~Configuration | Integration of PyConf in the new DaVinci configuration, !514 (@dfazzini)
- ~Configuration | DaVinci based on PyConf - work on structure, enhancements, new modules, !508 (@erodrigu)
- ~Configuration | Implementation of advanced features in Upgrade Configurable, !499 (@dfazzini)
- ~Configuration | Skeleton of the new configuration for the Upgrade, !432 (@dfazzini)

- Upstream project highlights :star:
    - ~Tuples | Proof-of-concept for a new tupling algorithm, lhcb/Analysis!767 (@amathad)
    - ~Tuples | Fixes to FunTuple Algorithm, lhcb/Analysis!782 (@amathad)
    - Modernise PrintDecay, lhcb/Analysis!741 (@pkoppenb)

### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~Configuration | Adapt PyConf API to snake_case convention, !507 (@erodrigu)
- ~Configuration | Fix Phys/DaVinci for Python 3, !506 (@erodrigu)
- ~Configuration | Fixes of a test and many Flake8 warnings, !505 (@erodrigu)
- ~Configuration | Move remnant functionality in AnalysisConf to the DaVinci configurable, !469 (@erodrigu)
- ~Configuration | Further move bits from AnalysisConf to the DaVinci configurable, !458 (@erodrigu)
- ~Configuration | Move instantiation of LoKi service from Phys to DaVinci, !446 (@erodrigu)
- ~"Flavour tagging" | Remove tagging tests until revision is done, !498 (@pkoppenb)
- Remove track cuts, !522 (@pkoppenb)
- Add test for reading a Moore DST, !521 (@pkoppenb)
- Update reference to following LHCb!2962, !513 (@apearce)
- Add example usage of PrintDecayTree algo to DaVinciExamples package, !512 (@erodrigu)
- Creation of a new DaVinciExamples package, !510 (@erodrigu)
- Exclude one pattern to fix test failure, !509 (@pkoppenb)
- Remove obsolete CVS keywords, !504 (@cattanem)
- Print DecayTree test, !503 (@pkoppenb)
- Remove obsolete tesla, !501 (@pkoppenb)
- Update CI to run formatting and linting, !500 (@erodrigu)
- Removal of many obsolete doc-related files, !496 (@erodrigu)
- Fix tests for PrintDecayTree modernisation, !494 (@pkoppenb)
- Adapted to new Gaudi monitoring, !433 (@sponce)
- Cleaning DV configuration for Upgrade, !431 (@dfazzini)
- Remove use of L0Conf, !425 (@pkoppenb)

- Upstream project highlights :star:
    - Many cleanups of L0, SPD, OT, IT... in Analysis [v33r0](../../../../Analysis/-/tags/v33r0), Phys [v32r0](../../../../Phys/-/tags/v32r0), Rec [v32r0](../../../../Rec/-/tags/v32r0), Lbcom [v32r0](../../../../Lbcom/-/tags/v32r0), LHCb [v52r0](../../../../LHCb/-/tags/v52r0),

### Documentation ~Documentation

- Fix doc typos in Phys/DaVinci/python/DaVinci/locations.py, !523 (@erodrigu)
- Add example usage of PrintDecayTree algo to DaVinciExamples package, !512 (@erodrigu)
- Creation of a new DaVinciExamples package, !510 (@erodrigu)
- Removal of many obsolete doc-related files, !496 (@erodrigu)

### Other

- ~Configuration | Proof-of-concept for how to use PyConf to configure DaVinci, !502 (@mamartin)
- ~Configuration | Follow snake_case naming conventions rather than camelCase, !497 (@erodrigu)
- ~Configuration | Adapted to (semi)functional (Un)PackCaloHypo, !474 (@sponce)
- Change track cut, add D0->KK, !520 (@pkoppenb)
- Add support for Python 3, !435 (@clemenci)
